Package org.eclipse.net4j

# Class ContainerProtocolProvider

java.lang.Object
org.eclipse.net4j.ContainerProtocolProvider

All Implemented Interfaces:
  `IProtocolProvider`, `org.eclipse.net4j.util.container.IManagedContainerProvider`

Direct Known Subclasses:
  `ContainerProtocolProvider.Client`, `ContainerProtocolProvider.Server`

public abstract class ContainerProtocolProvider extends Object implements IProtocolProvider, org.eclipse.net4j.util.container.IManagedContainerProvider
Base class for container-based `protocol providers` like `ContainerProtocolProvider.Client` or `ContainerProtocolProvider.Server`.

Since:
  2.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ContainerProtocolProvider.Client`
Container-based `protocol provider` for `client` protocols.
`static class`
`ContainerProtocolProvider.Server`
Container-based `protocol provider` for `server` protocols.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ContainerProtocolProvider(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup)`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.net4j.util.container.IManagedContainer`
`getContainer()`
`String`
`getProductGroup()`
`IProtocol<?>`
`getProtocol(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ContainerProtocolProvider

protected ContainerProtocolProvider(org.eclipse.net4j.util.container.IManagedContainer container, String productGroup)

## Method Details

### getContainer

public org.eclipse.net4j.util.container.IManagedContainer getContainer()

Specified by:
  `getContainer` in interface `org.eclipse.net4j.util.container.IManagedContainerProvider`

### getProductGroup

public String getProductGroup()

### getProtocol

public IProtocol<?> getProtocol(String type)

Specified by:
  `getProtocol` in interface `IProtocolProvider`